Get product categories
GET
/product-categories
curl -X GET "https://api.moov.io/product-categories" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.products.listCategories();
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->products->listCategories(
);
if ($response->productCategories !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListProductCategoriesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListProductCategoriesResponse res = sdk.products().listCategories()
.call();
if (res.productCategories().isPresent()) {
System.out.println(res.productCategories().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.products.list_categories()
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.products.list_categories
unless res.product_categories.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Products.ListCategoriesAsync();
// handle responseThe request completed successfully.
A list of product categories from the product taxonomy.
{
"categories": [
{
"categoryID": "string",
"name": "Beverages",
"fullName": "Food, Beverages & Tobacco > Beverages",
"level": 2,
"parentID": "string"
}
]
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.07.00
Response
categories
array<object>
required
Show child attributes
categoryID
string
The unique identifier for the category.
Unique identifier for a product category in the product taxonomy.
fullName
string
The full taxonomy path name of the category.
level
integer<int32>
The depth of the category in the taxonomy tree (1 = top-level).
name
string
The short display name of the category.
parentID
string
The identifier of the parent category, if any. Absent for top-level categories.
Unique identifier for a product category in the product taxonomy.